View Issue Details

IDProjectCategoryView StatusLast Update
0003962FreeCADBugpublic2019-05-13 16:38
Reporterunknown-error Assigned Towmayer  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformi7, intel gfx, 16GB ramOSUbuntuOS Version16.04
Product Version0.18 
Target VersionFixed in Version0.19 
Summary0003962: Mesh section with plane uses wrong rotation when mesh is previously rotated
DescriptionMesh sections are done with non-rotated data, although the data appears rotated on the screen. See linked forum post for a screenshot.
Steps To Reproducesteps to reproduce:
imported a mesh from mesh design workbench, rotate it around z by 180 degrees (menu: edit, placement, typed in 180)
go to part workbench, create a plane.
switch back to mesh workbench. use from the menu: meshes, cutting, create section from mesh and plane.

expected result: section lies on the plane and goes through the mesh.
actual result: section lies outside the mesh (rotated around z). it seems to me it uses the original position of the mesh instead of the rotated mesh (tried it with different rotation angles to verify that)
Additional Informationhttps://forum.freecadweb.org/viewtopic.php?f=3&t=36196&p=306634#p306634
TagsMesh, plane, rotate, section

Activities

Kunda1

2019-05-09 11:29

administrator   ~0013089

@unknown-error thanks for posting to the forum first and getting confirmation to open a ticket. Quick feedback, please always add the Help > About FreeCAD > Copy to clipboard info to your ticket (like you correctly did in the forum thread). Also please find a way going forward to use v0.18 built on Python3 and Qt5
 

Kunda1

2019-05-13 16:38

administrator   ~0013105

https://github.com/FreeCAD/FreeCAD/commit/0644ed8e6
c:FreeCAD:0644ed8e6:

Issue History

Date Modified Username Field Change
2019-05-08 20:45 unknown-error New Issue
2019-05-08 20:45 unknown-error Tag Attached: Mesh
2019-05-08 20:45 unknown-error Tag Attached: plane
2019-05-08 20:45 unknown-error Tag Attached: rotate
2019-05-08 20:45 unknown-error Tag Attached: section
2019-05-09 11:29 Kunda1 Status new => feedback
2019-05-09 11:29 Kunda1 Note Added: 0013089
2019-05-13 15:49 wmayer Assigned To => wmayer
2019-05-13 15:49 wmayer Status feedback => closed
2019-05-13 15:49 wmayer Resolution open => fixed
2019-05-13 15:49 wmayer Fixed in Version => 0.19
2019-05-13 16:38 Kunda1 Note Added: 0013105